#!/bin/sh

PREFIX=`su -l pmx6 -c "pmx prefix"`;
INIT=$PREFIX/bin/pmx-init;

cat<<EOT > /etc/systemd/system/puremessage.service
[Unit]
Description=Start and Stop PureMessage
After=syslog.target network.target

[Service]
ExecStart=$INIT start
ExecStop=$INIT stop
Type=oneshot
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
EOT

if [ $? -ne 0 ];then
	echo "$0 must be run by root";
else
	echo "The PureMessage system startup program $INIT has now been linked to systemctl service manager."
fi

systemctl enable puremessage

exit
